Argus Camera Sample Argus Camera Sample

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Namespaces | Enumerations
PerfTracker.h File Reference
`#include <stddef.h>`
`#include "Util.h"`
`#include "Ordered.h"`
`#include "UniquePointer.h"`

Go to the source code of this file.

## Classes
class | ArgusSamples::PerfTracker
| Used to track global performance events. More...
class | ArgusSamples::SessionPerfTracker
| Used to track session performance events. More...

## Namespaces
namespace | Argus
namespace | ArgusSamples

## Enumerations
enum | ArgusSamples::GlobalEvent { ArgusSamples::GLOBAL_EVENT_APP_START, ArgusSamples::GLOBAL_EVENT_APP_INITIALIZED, ArgusSamples::GLOBAL_EVENT_DISPLAY }
| Global events. More...
enum | ArgusSamples::SessionEvent { ArgusSamples::SESSION_EVENT_TASK_START, ArgusSamples::SESSION_EVENT_ISSUE_CAPTURE, ArgusSamples::SESSION_EVENT_REQUEST_RECEIVED, ArgusSamples::SESSION_EVENT_REQUEST_LATENCY, ArgusSamples::SESSION_EVENT_FRAME_COUNT, ArgusSamples::SESSION_EVENT_CLOSE_REQUESTED, ArgusSamples::SESSION_EVENT_FLUSH_DONE, ArgusSamples::SESSION_EVENT_CLOSE_DONE }
| Session events. More...